One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Trading
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Trading

Get Trade by Trade ID

GET
https://api.onetrading.com/fast/v1/account/trade/{trade_id}
Get information about an executed trade using the exchange generated trade_id. Only trades of the account the token acts on are found; a trade of another subaccount returns 404.
Will only return trades from the last 30 days.
Required API scope: any valid API key. This endpoint is rate-limited.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/trade/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "fee": {
        "fee_amount": "0.0020505",
        "fee_currency": "USD"
    },
    "trade": {
        "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
        "order_id": "71912cd5-1df2-4c14-3e59-377765d23b01",
        "trade_id": "aa765409-4719-5358-b27a-3fabedf27164",
        "time": "2025-12-02T11:32:32.515Z",
        "time_nanos": "2025-12-02T11:32:32.515915000Z",
        "instrument_code": "DOGE_USD_P",
        "side": "BUY",
        "matched_as": "TAKER",
        "order_type": "API",
        "price": "0.1367",
        "amount": "100",
        "filled_amount": "100",
        "sequence": "92096745784",
        "open_position_amount": "0",
        "position_id": "1764675149939364"
    }
}
Previous
Get Trades for Order
Next
Get Trades
Built with